#!/bin/env bash
#
## Set up teststation settings if detected

# Hostname
if [[ -s "/run/archiso/bootmnt/teststation.name" ]]; then
  NEW_HOSTNAME="$(head -1 "/run/archiso/bootmnt/teststation.name" \
    | sed -r 's/\s//g')"
  sudo hostnamectl set-hostname "${NEW_HOSTNAME}"
fi

# Wallpaper
if [[ -s "/run/archiso/bootmnt/teststation.wall" ]]; then
  rm "${HOME}/.wallpaper" >/dev/null 2>&1
  ln -s "/run/archiso/bootmnt/teststation.wall" "${HOME}/.wallpaper"
fi
